=== modified file 'client/drizzlecheck.cc'
--- client/drizzlecheck.cc	2008-12-11 07:45:27 +0000
+++ client/drizzlecheck.cc	2008-12-14 08:26:38 +0000
@@ -646,7 +646,7 @@
     ptr= strcpy(query, op)+strlen(op);
     ptr= strcpy(ptr, " TABLE ")+7;
     ptr= fix_table_name(ptr, tables);
-    ptr= strxmov(ptr, " ", options, NULL);
+    ptr+= sprintf(ptr," %s",options);
     query_length= (uint) (ptr - query);
   }
   if (drizzle_real_query(sock, query, query_length))

=== modified file 'client/drizzledump.cc'
--- client/drizzledump.cc	2008-12-09 04:10:34 +0000
+++ client/drizzledump.cc	2008-12-14 08:26:38 +0000
@@ -3251,7 +3251,7 @@
     while ((row= drizzle_fetch_row(res)) && atoi(row[3]) > 1)
     {
       quoted_field= quote_name(row[4], buff, 0);
-      end= strxmov(end, ",", quoted_field, NULL);
+      end+= sprintf(end,",%s",quoted_field);
     }
   }
 

=== modified file 'client/drizzleimport.cc'
--- client/drizzleimport.cc	2008-12-09 04:10:34 +0000
+++ client/drizzleimport.cc	2008-12-14 08:26:38 +0000
@@ -444,11 +444,11 @@
   {
     /* Don't escape hex constants */
     if (object[0] == '0' && (object[1] == 'x' || object[1] == 'X'))
-      ptr= strxmov(ptr," ",statement," ",object,NULL);
+      ptr+= sprintf(ptr, " %s %s", statement, object);
     else
     {
       /* char constant; escape */
-      ptr= strxmov(ptr," ",statement," '",NULL);
+      ptr+= sprintf(ptr, " %s '", statement); 
       ptr= field_escape(ptr,object,(uint) strlen(object));
       *ptr++= '\'';
     }

=== modified file 'client/drizzletest.cc'
--- client/drizzletest.cc	2008-12-11 07:51:00 +0000
+++ client/drizzletest.cc	2008-12-14 08:26:38 +0000
@@ -2034,7 +2034,7 @@
 
   if (!test_if_hard_path(name))
   {
-    strxmov(buff, opt_basedir, name, NULL);
+    sprintf(buff,"%s%s",opt_basedir,name);
     name=buff;
   }
   fn_format(buff, name, "", "", MY_UNPACK_FILENAME);
@@ -4526,7 +4526,7 @@
 
   if (!test_if_hard_path(name))
   {
-    strxmov(buff, opt_basedir, name, NULL);
+    sprintf(buff,"%s%s",opt_basedir,name);
     name=buff;
   }
   fn_format(buff, name, "", "", MY_UNPACK_FILENAME);
@@ -4572,7 +4572,7 @@
     char buff[FN_REFLEN];
     if (!test_if_hard_path(argument))
     {
-      strxmov(buff, opt_basedir, argument, NULL);
+      sprintf(buff,"%s%s",opt_basedir,argument);
       argument= buff;
     }
     fn_format(buff, argument, "", "", MY_UNPACK_FILENAME);
@@ -4590,7 +4590,7 @@
     static char buff[FN_REFLEN];
     if (!test_if_hard_path(argument))
     {
-      strxmov(buff, opt_basedir, argument, NULL);
+      sprintf(buff,"%s%s",opt_basedir,argument);
       argument= buff;
     }
     fn_format(buff, argument, "", "", MY_UNPACK_FILENAME);
@@ -4685,7 +4685,7 @@
   int flags= O_WRONLY | O_CREAT;
   if (!test_if_hard_path(fname))
   {
-    strxmov(buff, opt_basedir, fname, NULL);
+    sprintf(buff,"%s%s",opt_basedir,fname);
     fname= buff;
   }
   fn_format(buff, fname, "", "", MY_UNPACK_FILENAME);

=== modified file 'drizzled/db.cc'
--- drizzled/db.cc	2008-12-10 07:43:50 +0000
+++ drizzled/db.cc	2008-12-14 08:26:38 +0000
@@ -628,9 +628,8 @@
 
     if (!session->query)				// Only in replication
     {
-      query= 	     tmp_query;
-      query_length= (uint) (strxmov(tmp_query,"create database `",
-                                    db, "`", NULL) - tmp_query);
+      query= tmp_query;
+      query_length= sprintf(tmp_query, "create database `%s`", db);
     }
     else
     {
@@ -841,12 +840,11 @@
     {
       /* The client used the old obsolete mysql_drop_db() call */
       query= path;
-      query_length= (uint) (strxmov(path, "drop database `", db, "`",
-                                     NULL) - path);
+      query_length= sprintf(path, "drop database `%s`", db);
     }
     else
     {
-      query =session->query;
+      query= session->query;
       query_length= session->query_length;
     }
     if (drizzle_bin_log.is_open())
@@ -1000,7 +998,7 @@
     }
     else
     {
-      strxmov(filePath, org_path, "/", file->name, NULL);
+      sprintf(filePath, "%s/%s", org_path, file->name);
       if (my_delete_with_symlink(filePath,MYF(MY_WME)))
       {
 	goto err;

=== modified file 'drizzled/drizzled.cc'
--- drizzled/drizzled.cc	2008-12-10 07:43:50 +0000
+++ drizzled/drizzled.cc	2008-12-14 08:26:38 +0000
@@ -4347,10 +4347,11 @@
 
 static void set_server_version(void)
 {
-  char *end= strxmov(server_version, VERSION,
-                     DRIZZLE_SERVER_SUFFIX_STR, NULL);
+  char *end= server_version;
+  end+= sprintf(server_version, "%s%s", VERSION, 
+                DRIZZLE_SERVER_SUFFIX_STR);
   if (opt_bin_log)
-    strcpy(end, "-log");                        // This may slow down system
+    strcpy(end, "-log"); // This may slow down system
 }
 
 

=== modified file 'drizzled/handler.cc'
--- drizzled/handler.cc	2008-12-10 07:43:50 +0000
+++ drizzled/handler.cc	2008-12-14 08:26:38 +0000
@@ -2879,7 +2879,7 @@
   closefrm(&table, 0);
   if (error)
   {
-    strxmov(name_buff, db, ".", table_name, NULL);
+    sprintf(name_buff,"%s.%s",db,table_name);
     my_error(ER_CANT_CREATE_TABLE, MYF(ME_BELL+ME_WAITTANG), name_buff, error);
   }
 err:

=== modified file 'drizzled/show.cc'
--- drizzled/show.cc	2008-12-11 07:51:00 +0000
+++ drizzled/show.cc	2008-12-14 08:26:38 +0000
@@ -2875,14 +2875,12 @@
     if (share->db_create_options & HA_OPTION_CHECKSUM)
       ptr= strcpy(ptr," checksum=1")+11;
     if (share->page_checksum != HA_CHOICE_UNDEF)
-      ptr= strxmov(ptr, " page_checksum=",
-                   ha_choice_values[(uint) share->page_checksum], NULL);
+      ptr+= sprintf(ptr, " page_checksum=%s",
+                    ha_choice_values[(uint) share->page_checksum]);
     if (share->db_create_options & HA_OPTION_DELAY_KEY_WRITE)
       ptr= strcpy(ptr," delay_key_write=1")+18;
     if (share->row_type != ROW_TYPE_DEFAULT)
-      ptr=strxmov(ptr, " row_format=",
-                  ha_row_type[(uint) share->row_type],
-                  NULL);
+      ptr+= sprintf(ptr, " row_format=%s", ha_row_type[(uint)share->row_type]);
     if (share->block_size)
     {
       ptr= strcpy(ptr, " block_size=")+12;
@@ -2891,13 +2889,12 @@
 
     if (share->transactional != HA_CHOICE_UNDEF)
     {
-      ptr= strxmov(ptr, " TRANSACTIONAL=",
-                   (share->transactional == HA_CHOICE_YES ? "1" : "0"),
-                   NULL);
+      ptr+= sprintf(ptr, " TRANSACTIONAL=%s",
+                    (share->transactional == HA_CHOICE_YES ? "1" : "0"));
     }
     if (share->transactional != HA_CHOICE_UNDEF)
-      ptr= strxmov(ptr, " transactional=",
-                   ha_choice_values[(uint) share->transactional], NULL);
+      ptr+= sprintf(ptr, " transactional=%s",
+                    ha_choice_values[(uint) share->transactional]);
     table->field[19]->store(option_buff+1,
                             (ptr == option_buff ? 0 :
                              (uint) (ptr-option_buff)-1), cs);

=== modified file 'drizzled/sql_base.cc'
--- drizzled/sql_base.cc	2008-12-10 07:43:50 +0000
+++ drizzled/sql_base.cc	2008-12-14 08:26:38 +0000
@@ -3253,8 +3253,9 @@
           We inherited this from MySQL. TODO: fix it to issue a propper truncate
           of the table (though that may not be completely right sematics).
         */
-        end = strxmov(strcpy(query, "DELETE FROM `")+13,
-                      share->db.str,"`.`",share->table_name.str,"`", NULL);
+        end= query;
+        end+= sprintf(query, "DELETE FROM `%s`.`%s`", share->db.str,
+                      share->table_name.str);
         (void)replicator_statement(session, query, (size_t)(end - query));
         free(query);
       }

=== modified file 'drizzled/sql_parse.cc'
--- drizzled/sql_parse.cc	2008-12-10 07:43:50 +0000
+++ drizzled/sql_parse.cc	2008-12-14 08:26:38 +0000
@@ -2574,7 +2574,8 @@
   LEX *lex;
   LEX_STRING tmp, null_lex_string;
   Item *var;
-  char buff[MAX_SYS_VAR_LENGTH*2+4+8], *end;
+  char buff[MAX_SYS_VAR_LENGTH*2+4+8];
+  char *end= buff;
 
   session= current_session;
   lex= session->lex;
@@ -2589,7 +2590,7 @@
   */
   if ((var= get_system_var(session, OPT_SESSION, tmp, null_lex_string)))
   {
-    end= strxmov(buff, "@@session.", var_name, NULL);
+    end+= sprintf(buff, "@@session.%s", var_name);
     var->set_name(buff, end-buff, system_charset_info);
     add_item_to_list(session, var);
   }
@@ -3632,7 +3633,7 @@
   if (!(ptr= (char*) session->alloc((size_t) (end-buff) + strlen(table_name)+1)))
     return 1;					// End of memory
   *filename_ptr=ptr;
-  strxmov(ptr,buff,table_name,NULL);
+  sprintf(ptr,"%s%s",buff,table_name);
   return 0;
 }
 

=== modified file 'drizzled/sql_plugin.cc'
--- drizzled/sql_plugin.cc	2008-12-09 04:45:44 +0000
+++ drizzled/sql_plugin.cc	2008-12-14 08:26:38 +0000
@@ -1679,7 +1679,7 @@
 
   if (plugin)
   {
-    strxmov(varname + 1, plugin, "_", name, NULL);
+    sprintf(varname+1,"%s_%s",plugin,name);
     for (p= varname + 1; *p; p++)
       if (*p == '-')
         *p= '_';
@@ -1736,7 +1736,7 @@
   };
 
   varname= ((char*) malloc(length));
-  strxmov(varname + 1, plugin, "_", name, NULL);
+  sprintf(varname+1, "%s_%s", plugin, name);
   for (p= varname + 1; *p; p++)
     if (*p == '-')
       *p= '_';
@@ -2409,7 +2409,7 @@
   /* support --skip-plugin-foo syntax */
   memcpy(name, plugin_name, namelen + 1);
   my_casedn_str(&my_charset_utf8_general_ci, name);
-  strxmov(name + namelen + 1, "plugin-", name, NULL);
+  sprintf(name+namelen+1, "plugin-%s", name);
   /* Now we have namelen + 1 + 7 + namelen + 1 == namelen * 2 + 9. */
 
   for (p= name + namelen*2 + 8; p > name; p--)
@@ -2418,8 +2418,9 @@
 
   if (can_disable)
   {
-    strxmov(name + namelen*2 + 10, "Enable ", plugin_name, " plugin. "
-            "Disable with --skip-", name," (will save memory).", NULL);
+    sprintf(name+namelen*2+10,
+            "Enable %s plugin. Disable with --skip-%s (will save memory).",
+            plugin_name, name);
     /*
       Now we have namelen * 2 + 10 (one char unused) + 7 + namelen + 9 +
       20 + namelen + 20 + 1 == namelen * 4 + 67.
@@ -2556,7 +2557,7 @@
     {
       optnamelen= strlen(opt->name);
       optname= (char*) alloc_root(mem_root, namelen + optnamelen + 2);
-      strxmov(optname, name, "-", opt->name, NULL);
+      sprintf(optname, "%s-%s", name, opt->name);
       optnamelen= namelen + optnamelen + 1;
     }
     else
@@ -2599,7 +2600,7 @@
     options[1]= options[0];
     options[1].name= p= (char*) alloc_root(mem_root, optnamelen + 8);
     options[1].comment= 0; // hidden
-    strxmov(p, "plugin-", optname, NULL);
+    sprintf(p,"plugin-%s",optname);
 
     options+= 2;
   }
@@ -2719,7 +2720,7 @@
       {
         len= tmp->name.length + strlen(o->name) + 2;
         varname= (char*) alloc_root(mem_root, len);
-        strxmov(varname, tmp->name.str, "-", o->name, NULL);
+        sprintf(varname,"%s-%s",tmp->name.str,o->name);
         my_casedn_str(&my_charset_utf8_general_ci, varname);
 
         for (p= varname; *p; p++)

=== modified file 'drizzled/sql_table.cc'
--- drizzled/sql_table.cc	2008-12-11 07:51:00 +0000
+++ drizzled/sql_table.cc	2008-12-14 08:26:38 +0000
@@ -2323,7 +2323,7 @@
     goto end;					// No data file
 
   // Name of data file
-  strxmov(from, table->s->normalized_path.str, ext[1], NULL);
+  sprintf(from,"%s%s", table->s->normalized_path.str, ext[1]);
   if (stat(from, &stat_info))
     goto end;				// Can't use USE_FRM flag
 
@@ -2448,7 +2448,7 @@
     char* db = table->db;
     bool fatal_error=0;
 
-    strxmov(table_name, db, ".", table->table_name, NULL);
+    sprintf(table_name,"%s.%s",db,table->table_name);
     session->open_options|= extra_open_options;
     table->lock_type= lock_type;
     /* open only one table from local list of command */
@@ -2980,7 +2980,7 @@
   if (open_tables(session, &src_table, &not_used, 0))
     return(true);
 
-  strxmov(src_path, src_table->table->s->path.str, reg_ext, NULL);
+  sprintf(src_path,"%s%s",src_table->table->s->path.str, reg_ext);
 
   /*
     Check that destination tables does not exist. Note that its name
@@ -5386,7 +5386,7 @@
     char table_name[NAME_LEN*2+2];
     Table *t;
 
-    strxmov(table_name, table->db ,".", table->table_name, NULL);
+    sprintf(table_name,"%s.%s",table->db,table->table_name);
 
     t= table->table= open_n_lock_single_table(session, table, TL_READ);
     session->clear_error();			// these errors shouldn't get client

=== modified file 'drizzled/table.cc'
--- drizzled/table.cc	2008-12-10 02:09:33 +0000
+++ drizzled/table.cc	2008-12-14 08:26:38 +0000
@@ -1980,20 +1980,20 @@
     {
       lseek(file,(off_t) (endpos-bufflength),SEEK_SET);
       if (my_read(file, buff, bufflength, MYF(MY_NABP+MY_WME)))
-	return(0L);
+        return(0L);
       lseek(file,(off_t) (endpos-bufflength+IO_SIZE),SEEK_SET);
       if ((my_write(file, buff,bufflength,MYF(MY_NABP+MY_WME))))
-	return(0);
+        return(0);
       endpos-=bufflength; bufflength=IO_SIZE;
     }
     memset(buff, 0, IO_SIZE);			/* Null new block */
     lseek(file,(ulong) maxlength,SEEK_SET);
     if (my_write(file,buff,bufflength,MYF(MY_NABP+MY_WME)))
-	return(0L);
+      return(0L);
     maxlength+=IO_SIZE;				/* Fix old ref */
     int2store(fileinfo+6,maxlength);
-    for (i=names, pos= (unsigned char*) *formnames->type_names+n_length-1; i-- ;
-	 pos+=4)
+    for (i=names, pos= (unsigned char*) *formnames->type_names+n_length-1; i--;
+         pos+=4)
     {
       endpos=uint4korr(pos)+IO_SIZE;
       int4store(pos,endpos);
@@ -2003,10 +2003,10 @@
   if (n_length == 1 )
   {						/* First name */
     length++;
-    strxmov((char*) buff,"/",newname,"/",NULL);
+    sprintf((char*)buff,"/%s/",newname);
   }
   else
-    strxmov((char*) buff,newname,"/",NULL); /* purecov: inspected */
+    sprintf((char*)buff,"%s/",newname); /* purecov: inspected */
   lseek(file, 63 + n_length,SEEK_SET);
   if (my_write(file, buff, (size_t) length+1,MYF(MY_NABP+MY_WME)) ||
       (names && my_write(file,(unsigned char*) (*formnames->type_names+n_length-1),
@@ -2036,7 +2036,7 @@
       my_error(ER_NO_SUCH_TABLE, MYF(0), share->db.str, share->table_name.str);
     else
     {
-      strxmov(buff, share->normalized_path.str, reg_ext, NULL);
+      sprintf(buff,"%s%s",share->normalized_path.str,reg_ext);
       my_error((db_errno == EMFILE) ? ER_CANT_OPEN_FILE : ER_FILE_NOT_FOUND,
                errortype, buff, db_errno);
     }
@@ -2057,7 +2057,7 @@
     }
     err_no= (db_errno == ENOENT) ? ER_FILE_NOT_FOUND : (db_errno == EAGAIN) ?
       ER_FILE_USED : ER_CANT_OPEN_FILE;
-    strxmov(buff, share->normalized_path.str, datext, NULL);
+    sprintf(buff,"%s%s", share->normalized_path.str,datext);
     my_error(err_no,errortype, buff, db_errno);
     delete file;
     break;
@@ -2077,7 +2077,7 @@
     break;
   }
   case 6:
-    strxmov(buff, share->normalized_path.str, reg_ext, NULL);
+    sprintf(buff,"%s%s",share->normalized_path.str,reg_ext);
     my_printf_error(ER_NOT_FORM_FILE,
                     _("Table '%-.64s' was created with a different version "
                     "of MySQL and cannot be read"),
@@ -2087,7 +2087,7 @@
     break;
   default:				/* Better wrong error than none */
   case 4:
-    strxmov(buff, share->normalized_path.str, reg_ext, NULL);
+    sprintf(buff,"%s%s",share->normalized_path.str,reg_ext);
     my_error(ER_NOT_FORM_FILE, errortype, buff, 0);
     break;
   }
@@ -2432,13 +2432,15 @@
   return;
 }
 
-int
-rename_file_ext(const char * from,const char * to,const char * ext)
+int rename_file_ext(const char * from,const char * to,const char * ext)
 {
-  char from_b[FN_REFLEN],to_b[FN_REFLEN];
-  strxmov(from_b,from,ext,NULL);
-  strxmov(to_b,to,ext,NULL);
-  return (my_rename(from_b,to_b,MYF(MY_WME)));
+  string from_s, to_s;
+
+  from_s.append(from);
+  from_s.append(ext);
+  to_s.append(to);
+  to_s.append(ext);
+  return (my_rename(from_s.c_str(),to_s.c_str(),MYF(MY_WME)));
 }
 
 

=== modified file 'drizzled/unireg.cc'
--- drizzled/unireg.cc	2008-12-11 07:51:00 +0000
+++ drizzled/unireg.cc	2008-12-14 08:26:38 +0000
@@ -645,7 +645,7 @@
                      uint32_t keys, KEY *key_info, handler *file)
 {
   char frm_name[FN_REFLEN];
-  strxmov(frm_name, path, reg_ext, NULL);
+  sprintf(frm_name,"%s%s",path,reg_ext);
   if (mysql_create_frm(session, frm_name, db, table_name, create_info,
                        create_fields, keys, key_info, file))
 

=== modified file 'mysys/charset.cc'
--- mysys/charset.cc	2008-12-07 06:57:48 +0000
+++ mysys/charset.cc	2008-12-14 08:26:38 +0000
@@ -132,11 +132,10 @@
   else
   {
     if (test_if_hard_path(sharedir) ||
-	is_prefix(sharedir, DEFAULT_CHARSET_HOME))
-      strxmov(buf, sharedir, "/", CHARSET_DIR, NULL);
+        is_prefix(sharedir, DEFAULT_CHARSET_HOME))
+      sprintf(buf,"%s/%s",sharedir,CHARSET_DIR);
     else
-      strxmov(buf, DEFAULT_CHARSET_HOME, "/", sharedir, "/", CHARSET_DIR,
-	      NULL);
+      sprintf(buf,"%s/%s/%s",DEFAULT_CHARSET_HOME,sharedir,CHARSET_DIR);
   }
   res= convert_dirname(buf,buf,NULL);
   return(res);

=== modified file 'mysys/default.cc'
--- mysys/default.cc	2008-12-10 18:33:08 +0000
+++ mysys/default.cc	2008-12-14 08:26:38 +0000
@@ -598,7 +598,7 @@
     end=convert_dirname(name, dir, NULL);
     if (dir[0] == FN_HOMELIB)		/* Add . to filenames in home */
       *end++='.';
-    strxmov(end,config_file,ext,NULL);
+    sprintf(end,"%s%s",config_file,ext);
   }
   else
   {
@@ -881,7 +881,7 @@
 	end= convert_dirname(name, pos, NULL);
 	if (name[0] == FN_HOMELIB)	/* Add . to filenames in home */
 	  *end++='.';
-	strxmov(end, conf_file, *ext, " ", NULL);
+  sprintf(end,"%s%s ",conf_file, *ext);
 	fputs(name,stdout);
       }
     }

=== modified file 'mysys/mf_loadpath.cc'
--- mysys/mf_loadpath.cc	2008-12-03 07:42:39 +0000
+++ mysys/mf_loadpath.cc	2008-12-14 08:26:38 +0000
@@ -44,7 +44,7 @@
       strcpy(buff,path);			/* Return org file name */
   }
   else
-    strxmov(buff,own_path_prefix,path,NULL);
+    sprintf(buff,"%s%s",own_path_prefix,path);
   strcpy(to,buff);
   return(to);
 } /* my_load_path */

